using System;
using System.Drawing;
using System.Drawing.Printing;

namespace ReflectionIT.Common.Reporting
{
	/// <summary>
	/// Summary description for IReportItem.
	/// </summary>
	public interface IReportItem : IDisposable
	{
		/// <summary>
		/// Print the ReportItem on the graphis of the PrintPageEventArgs
		/// </summary>
		/// <param name="ev">PrintPageEventArgs</param>
		/// <param name="x">x-coordinate</param>
		/// <param name="y">y-coordinate</param>
		/// <param name="font">Default font</param>
		/// <returns>The height</returns>
		float Print(PrintPageEventArgs ev, float x, float y, Font font);
	}
}
