using System;
using System.Drawing;
using System.Drawing.Printing;

namespace ReflectionIT.Common.Reporting
{
	/// <summary>
	/// A ReportImage is used print a Image
	/// </summary>
	public class ReportImage : IReportItem
	{

		protected float mLeft;
		protected Image mImage;

		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="image">Image</param>
		/// <param name="left">X-coordinate</param>
		public ReportImage(Image image, float left) 
		{
			mLeft = left;
			mImage = image;
		}

		/// <summary>
		/// destructor
		/// </summary>
		public void Dispose()
		{
			mImage.Dispose();

			System.GC.SuppressFinalize(this);
		}

		float IReportItem.Print(PrintPageEventArgs ev, float x, float y, Font font)
		{
			ev.Graphics.DrawImage(mImage, x + mLeft, y);

			return mImage.Height;
		}
	}
}
